import wx
import sys, glob
import random

import UltimateListCtrl as ULC

class TestFrame(wx.Frame):

    def __init__(self, parent, log):

        wx.Frame.__init__(self, parent, -1,
                          "UltimateListCtrl in wx.LC_ICON mode",
                          size=(600, 400))

        # load some images into an image list
        il = wx.ImageList(64, 64, True)
        for name in glob.glob("a*.png"):
            bmp = wx.Bitmap(name, wx.BITMAP_TYPE_PNG)
            il_max = il.Add(bmp)

        # create the list control
        self.list = ULC.UltimateListCtrl(self, -1,
                                         style=wx.LC_ICON | wx.LC_AUTOARRANGE ,
                                         extraStyle=ULC.ULC_HEADER_IN_ALL_VIEWS)
##        self.list.EnableSelectionVista()

        # assign the image list to it
        self.list.AssignImageList(il, wx.IMAGE_LIST_NORMAL)

        info = ULC.UltimateListItem()
        info._mask = wx.LIST_MASK_TEXT | wx.LIST_MASK_FORMAT
        info._format = 0
        info._text = "Artist\nName"
        
        self.list.InsertColumnInfo(0, info)

        info = ULC.UltimateListItem()
        info._format = wx.LIST_FORMAT_RIGHT
        info._mask = wx.LIST_MASK_TEXT | wx.LIST_MASK_FORMAT
        info._text = "Title"
        
        self.list.InsertColumnInfo(1, info)

        info = ULC.UltimateListItem()
        info._mask = wx.LIST_MASK_TEXT | wx.LIST_MASK_FORMAT
        info._format = 0
        info._text = "Genre"

        self.list.InsertColumnInfo(2, info)

        for i in xrange(3):
            self.list.SetColumnWidth(i, 130)
        
        # create some items for the list
        for x in range(25):
            img = x % (il_max+1)
            text = "This is item %02d" % x
            self.list.InsertImageStringItem(x, text, img)

        self.Show()            

#---------------------------------------------------------------------------

if __name__ == '__main__':
    import sys
    app = wx.PySimpleApp()
    frame = TestFrame(None, sys.stdout)
    frame.Show(True)
    app.MainLoop()

    